基础设施相关接口/OTA 升级计划
POSTOTA起始版本 1.0同步需要认证
创建灰度计划
创建灰度计划。
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
请求参数
请求体字段
nameString必填资源名称。
示例: Upgrade agents to v1.3.0
fromVersionString必填版本代理当前运行中。
示例: 1.2.0
toVersionString必填目标版本号。
示例: 1.3.0
toReleaseString必填目标发布代理已升级。
示例: 221
agentIdsList必填代理ID列表。
示例: item1,item2
响应状态
请求地址
POST/api/v1/lifecycle/upgrade-plans
/api/v1/lifecycle/upgrade-plans
请求示例
curl -X POST '{host}/api/v1/lifecycle/upgrade-plans' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"name":"Upgrade agents to v1.3.0","fromVersion":"1.2.0","toVersion":"1.3.0","toRelease":"221","agentIds":"item1,item2","batchSize":10,"failureThreshold":0.1,"concurrency":5,"createdBy":"admin","observeDuration":"value"}'
响应示例
200{"id": "plan-a1b2c3d4-e5f6-7890-abcd-ef1234567890", "name": "Upgrade agents to v1.3.0", "fromVersion": "1.2.0", "toVersion": "1.3.0", "fromRelease": "215", "toRelease": "221", "batches": [{"batchIndex": 20, "agentIds": ["value"], "status": "completed", "failedCount": 20, "tasks": [{"componentUuid": "abcdef0123456789abcdef0123456789", "componentInstanceUuid": "abcdef0123456789abcdef0123456789", "lifecycleTaskUuid": "task-a1b2c3d4", "componentName": "zmetis", "taskType": "update", "status": "running", "nodeUuid": "abcdef0123456789abcdef0123456789", "lcaUuid": "abcdef0123456789abcdef0123456789"}]}], "failureThreshold": 0.1}变更历史
此 API 暂无变更历史记录。
